# Interface DDS

interface DDS {
format: PixelFormat | CompressedPixelFormat;
height: number;
isCubemap: boolean;
mipmapCount: number;
mipmaps: object[];
width: number;
}

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:8

##### Index

### Properties

format
height
isCubemap
mipmapCount
mipmaps
width

## Properties

### format

format: PixelFormat | CompressedPixelFormat

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:12

### height

height: number

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:11

### isCubemap

isCubemap: boolean

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:14

### mipmapCount

mipmapCount: number

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:13

### mipmaps

mipmaps: object[]

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:9

### width

width: number

- Defined in lib/gltf-loader/thirdparty/DDSLoader.d.ts:10